# Ray Tracing in One Weekend

[The book](https://raytracing.github.io/books/RayTracingInOneWeekend.html)

I became interested in ray tracing as an image synthesis technique some time around summer 2020.
I'd learned just the year prior about first-principles rasterization and working with graphics APIs in C++, and had found my taste for graphics programming.
On the recommendation of a friend I started working out a first-principles CPU ray tracer based on [Ray Tracing in One Weekend](https://raytracing.github.io/books/RayTracingInOneWeekend.html) (though it took longer) and started to generate my own first ray traced images. The source code for my final project is [on my GitHub](https://github.com/ktyldev/).

The book describes a very simple sphere-based ray tracer, though there are later books in the series (available [here](https://raytracing.github.io/)) which expand on the first with forays into rendering more complex shapes, volumentrics, and camera artifacts.
